Update Contact
Update a contact belonging to the account using ID
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
id*numberID of the contact
application/json- body
name?stringname of the contact
email?stringemail of the contact
blocked?booleanwhether the contact is blocked or not
phone_number?stringphone number of the contact
avatar?fileSend the form data with the avatar image binary or use the avatar_url
binaryavatar_url?stringThe url to a jpeg, png file for the contact avatar
identifier?stringA unique identifier for the contact in external system
additional_attributes?An object where you can store additional attributes for contact. example {"type":"customer", "age":30}
custom_attributes?An object where you can store custom attributes for contact. example {"type":"customer", "age":30}, this should have a valid custom attribute definition.
Success
application/json- response
id?numberpayload?array<>curl -X PUT 'https://helpdesk.inclamo.com/api/v1/accounts/0/contacts/0' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "payload": [ { "additional_attributes": {}, "availability_status": "string", "email": "string", "id": 0, "name": "string", "phone_number": "string", "blocked": true, "identifier": "string", "thumbnail": "string", "custom_attributes": {}, "last_activity_at": 0, "created_at": 0, "contact_inboxes": [ { "source_id": "string", "inbox": { "id": 0, "avatar_url": "string", "channel_id": 0, "name": "string", "channel_type": "string", "provider": "string" } } ] } ]}